Bug 1469025 - [man thin_ls] Missing comma between TRANSACTION and CREATE_TIME
[man thin_ls] Missing comma between TRANSACTION and CREATE_TIME
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-persistent-data (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Joe Thornber
Jakub Krysl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 05:53 EDT by Jakub Krysl
Modified: 2017-09-22 07:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: device-mapper-persistent-data-0.7.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Krysl 2017-07-10 05:53:49 EDT
Description of problem:
"man thin_ls" options "-o" valid fields list is missing comma between TRANSACTION and CREATE_TIME suggesting this is a single field, which is not true.

Version-Release number of selected component (if applicable):
0.7.0-0.1.rc6.el7

How reproducible:
100%

Steps to Reproduce:
1.man thin_ls
2.check valid fields list under options

Actual results:
       -o, --format
              Give  a  comma  separated  list  of  the  fields  to  be  output.   Valid  fields  are: DEV, MAPPED_BLOCKS, EXCLUSIVE_BLOCKS, SHARED_BLOCKS, MAPPED_SECTORS, EXCLUSIVE_SECTORS, SHARED_SECTORS, MAPPED_BYTES, EXCLUSIVE_BYTES, SHARED_BYTES, MAPPED, EXCLUSIVE, SHARED, TRANSACTION CREATE_TIME, SNAP_TIME


Expected results:
       -o, --format
              Give  a  comma  separated  list  of  the  fields  to  be  output.   Valid  fields  are: DEV, MAPPED_BLOCKS, EXCLUSIVE_BLOCKS, SHARED_BLOCKS, MAPPED_SECTORS, EXCLUSIVE_SECTORS, SHARED_SECTORS, MAPPED_BYTES, EXCLUSIVE_BYTES, SHARED_BYTES, MAPPED, EXCLUSIVE, SHARED, TRANSACTION, CREATE_TIME, SNAP_TIME


Additional info:
Comment 2 Joe Thornber 2017-09-19 06:46:05 EDT
https://github.com/jthornber/thin-provisioning-tools/commit/7dec2bfa083055ad27ceae3477b8d6fc134c4a7d

Above patch fixes.

Release to follow.
Comment 4 Jakub Krysl 2017-09-22 07:42:38 EDT
Fixed in device-mapper-persistent-data-0.7.2-1.el7

Note You need to log in before you can comment on or make changes to this bug.